Get the status of a bulk operation
GET
https://api-v2.test.eldowallet.fr/bulk-operations/:operationId
Returns the progress and results of a bulk operation started by your wallet (bulk send, update or delete). Poll this route with the operationId returned at launch until status is completed or failed.
Good to know
statusgoes frompendingtoprocessing, thencompletedorfailed.completeddoes not mean every item succeeded: checkfailureCountandoperationErrors. If you passed awebhookUrlat launch, it is called when the operation reachescompleted.
Request
path parameters
operationIdstring requiredUnique identifier for the bulk operation (MongoDB _id)example:507f1f77bcf86cd799439011
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Responses
- 200
- 401
- 403
- 500
Schema
application/jsonoperationIdstring requiredUnique identifier for the bulk operationexample:507f1f77bcf86cd799439011totalItemsnumber requiredTotal number of items in the operationexample:100successCountnumber requiredNumber of successfully processed itemsexample:95failureCountnumber requiredNumber of failed itemsexample:5statusstring requiredCurrent status of the operationenum:pending,processing,completed,failedexample:pendingoperationErrorsobject[]Array of errors for failed itemsitemIdstring requiredID of the item that failedexample:507f1f77bcf86cd799439011messagestring requiredError messageexample:Client not foundcodestringError code if availableexample:404:MODEL_NOT_FOUND
resultsobject[]Array of results for successful itemsitemIdstring requiredID of the itemexample:507f1f77bcf86cd799439011resultobjectResult data
createdAtstring <date-time> requiredTimestamp when the operation was createdexample:2024-01-01T00:00:00.000ZcompletedAtstring <date-time>Timestamp when the operation was completedexample:2024-01-01T00:05:00.000Z
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email